%define plymouthdaemon_execdir /sbin
%define plymouthclient_execdir /bin
%define plymouth_libdir /%{_lib}

%define _libexecdir %{_prefix}/libexec

%define lib_major 5
%define lib_name %mklibname %{name} %{lib_major}
%define lib_name_devel %mklibname %{name} -d

Summary:	Graphical Boot Animation and Logger
Name:		plymouth
Version:	0.9.5
Release:	%mkrel 6
License:	GPLv2+
Group:		System/Boot and Init
URL:		https://freedesktop.org/software/plymouth/releases
Source0:	https://freedesktop.org/software/plymouth/releases/%{name}-%{version}.tar.xz
Source1:	boot-duration
Source2:	charge.plymouth

# Upstream patches since release
# To get these patches, do the following:
# cd SOURCES
# git clone git://git.freedesktop.org/git/plymouth
# cd plymouth
# git format-patch ca06f77036ec6c37f65446046f0dfb3693803338 -o ../
# This will fetch the patches since release 0.9.3. Change the git commit string accordingly

# https://gitlab.freedesktop.org/plymouth/plymouth/-/commit/b406b0895a95949db2adfedaeda451f36f2b51c3
Patch001:	plymouth-systemd-switch-to-killmode-mixed.patch

# PATCH-OPENSUSE -- Restore suspend / resume state (needed for suspend package)
Patch500:	plymouth-restore-suspend.patch
# Fix complaints about ply_logger_is_tracing_enabled being undefined
Patch501:	 plymouth-0.8.9-export-ply_logger_is_tracing_enabled.patch
# PATCH-OPENSUSE -- Handle correctly multiple displays with different sizes
Patch502:	 plymouth-fix-window-size.patch

# Local patches
Patch1000:	1001-device_manager-ignore-drm-devices-when-kernel-modese.patch
Patch1001:	1002-main-allow-the-device-timeout-to-be-overridden-on-th.patch

Requires(pre):	 filesystem >= 2.1.9-18
BuildRequires:	 docbook-style-xsl
BuildRequires:	 docbook-dtd45-xml
BuildRequires:	 gtk3-devel
BuildRequires:	 pkgconfig(libdrm)
BuildRequires:	 pkgconfig(pango)
BuildRequires:	 pkgconfig(libpng)
BuildRequires:	 pkgconfig(libsystemd)
BuildRequires:	 pkgconfig(udev)
BuildRequires:	 xsltproc
BuildRequires:   git-core
Obsoletes:	 plymouth-utils < 0.8.6.1-14
Conflicts:	 mageia-theme-Default < 1.5.0.52

%description
Plymouth provides an attractive graphical boot animation in
place of the text messages that normally get shown.  Text
messages are instead redirected to a log file for viewing
after boot.

%package	x11
Summary:	X11 development library
Group:		System/Libraries
Requires:	plymouth(system-theme)
Requires:	plymouth = %{version}-%{release}
Conflicts:	plymouth < 0.9.3-4

%description	x11
Plymouth provides an attractive graphical boot animation in
place of the text messages that normally get shown.  Text
messages are instead redirected to a log file for viewing
after boot.

This package provides the X11 renderer which allows to test plymouth
behavior on environments with a valid X DISPLAY.

%package	system-theme
Group:		System/Boot and Init
Summary:	Plymouth default theme
Requires:	plymouth(system-theme)
Requires:	plymouth = %{version}-%{release}

%description	system-theme
This metapackage tracks the current distribution default theme.

%package -n	%{lib_name}
Summary: 	Plymouth libraries
Group:		System/Libraries

%description -n	%{lib_name}
This package contains the libply and libplybootsplash libraries
used by Plymouth.

%package -n	%{lib_name_devel}
Summary: 	Libraries and headers for writing Plymouth splash plugins
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}

%description -n	%{lib_name_devel}
This package contains the libply and libplybootsplash libraries
and headers needed to develop 3rd party splash plugins for Plymouth.

%package	scripts
Group:		System/Boot and Init
Summary:	Plymouth related scripts
Requires:	mkinitrd >= 6.0.92-6mdv
Requires:	plymouth = %{version}-%{release}

%description	scripts
This package contains scripts that help integrate Plymouth with
the system.

%package	plugin-label
Group:		System/Boot and Init
Summary:	Plymouth label plugin
Requires:	%{lib_name} = %{version}-%{release}

%description	plugin-label
This package contains the label control plugin for
Plymouth. It provides the ability to render text on
graphical boot splashes using pango and cairo.

%package	plugin-fade-throbber
Group:		System/Boot and Init
Summary:	Plymouth "Fade-Throbber" plugin
Requires:	%{lib_name} = %{version}-%{release}

%description	plugin-fade-throbber
This package contains the "Fade-In" boot splash plugin for
Plymouth. It features a centered image that fades in and out
while other images pulsate around during system boot up.

%package	plugin-script
Group:		System/Boot and Init
Summary:	Plymouth "Script" plugin
Requires:	%{lib_name} = %{version}-%{release}
Requires:	plymouth-plugin-label = %{version}-%{release}

%description	plugin-script
This package contains the "Script" plugin for Plymouth.

%package	theme-script
Group:		System/Boot and Init
Summary:	Plymouth "Script" theme
Requires:	%{name}-plugin-script = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}

%description	theme-script
This package contains the "Script" boot splash theme for
Plymouth.

%package	theme-fade-in
Group:		System/Boot and Init
Summary:	Plymouth "Fade-In" theme
Requires:	%{name}-plugin-fade-throbber = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}

%description	theme-fade-in
This package contains the "Fade-In" boot splash theme for
Plymouth. It features a centered logo that fades in and out
while stars twinkle around the logo during system boot up.

%package	theme-spinfinity
Group:		System/Boot and Init
Summary:	Plymouth "Spinfinity" theme
Requires:	%{name}-plugin-two-step = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}

%description	theme-spinfinity
This package contains the "Spinfinity" boot splash theme for
Plymouth. It features a centered logo and animated spinner that
spins in the shape of an infinity sign.

%package	theme-spinner
Group:		System/Boot and Init
Summary:	Plymouth "Spinner" theme
Requires:	%{name}-plugin-two-step = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}
# Spinifinity like themes should now use two-step instead of throbgress
# No provides, the throbgress plugin has been removed upstream
Obsoletes:	%{name}-plugin-throbgress < %{version}-%{release}

%description	theme-spinner
This package contains the "Spinner" boot splash theme for
Plymouth.

%package	plugin-space-flares
Group:		System/Boot and Init
Summary:	Plymouth "space-flares" plugin
Requires:	%{lib_name} = %{version}-%{release}
Requires:	plymouth-plugin-label = %{version}-%{release}

%description	plugin-space-flares
This package contains the "space-flares" boot splash plugin for
Plymouth. It features a corner image with animated flares.

%package	theme-solar
Group:		System/Boot and Init
Summary:	Plymouth "Solar" theme
Requires:	%{name}-plugin-space-flares = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}

%description	theme-solar
This package contains the "Solar" boot splash theme for
Plymouth. It features a blue flamed sun with animated solar flares.

%package	theme-bgrt
Group:		System/Boot and Init
Summary:	Plymouth "bgrt" theme
Requires:	%{name}-plugin-two-step = %{version}-%{release}
Requires:	%{name}-theme-spinner = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}

%description	theme-bgrt
This package contains the "bgrt" boot splash theme for Plymouth.
It features a spinner theme using the ACPI BGRT graphics as background.

%package	plugin-two-step
Group:		System/Boot and Init
Summary:	Plymouth "two-step" plugin
Requires:	%{lib_name} = %{version}-%{release}
Requires:	plymouth-plugin-label = %{version}-%{release}

%description	plugin-two-step
This package contains the "two-step" boot splash plugin for
Plymouth. It features a two phased boot process that starts with
a progressing animation synced to boot time and finishes with a
short, fast one-shot animation.

%package	theme-charge
Group:		System/Boot and Init
Summary:	Plymouth "Charge" plugin
Requires:	%{name}-plugin-two-step = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}

%description	theme-charge
This package contains the "charge" boot splash theme for
Plymouth. It features the shadowy hull of a logo charge up and
and finally burst into full form.

%package	theme-glow
Group:		System/Boot and Init
Summary:	Plymouth "Glow" plugin
Requires(post):	plymouth-scripts  = %{version}-%{release}
Requires:	plymouth-plugin-two-step = %{version}-%{release}

%description	theme-glow
This package contains the "Glow" boot splash theme for Plymouth.

%package	plugin-tribar
Group:		System/Kernel and hardware
Summary:	Plymouth "tribar" plugin
Requires:	plymouth-plugin-label = %{version}-%{release}

%description	plugin-tribar
This package contains the "tribar" boot splash plugin for
Plymouth.

%package	theme-tribar
Group:		System/Kernel and hardware
Summary:	Plymouth "Tribar" plugin
Requires(post):	plymouth-scripts  = %{version}-%{release}
Requires:	plymouth-plugin-tribar = %{version}-%{release}

%description	theme-tribar
This package contains the "Tribar" boot splash theme for Plymouth.

%prep
%autosetup -S git

%build
autoreconf -fi
export CONFIGURE_TOP=`pwd`

mkdir -p system
cd system
%configure \
	--enable-tracing \
	--with-logo=%{_datadir}/icons/large/%{_real_vendor}.png \
	--with-background-start-color-stop=0x0073B3 \
	--with-background-end-color-stop=0x00457E \
	--with-background-color=0x3391CD \
	--disable-gdm-transition \
	--enable-systemd-integration \
	--without-rhgb-compat-link \
	--with-system-root-install \
	--with-release-file=/etc/mageia-release \
	--enable-pango \
	--enable-gtk=yes

%make_build
cd ..

%install
mkdir -p %{buildroot}/usr/lib/systemd/system/{sysinit,poweroff,halt,kexec,reboot,multi-user}.target.wants
ln -s ../plymouth-start.service %{buildroot}/usr/lib/systemd/system/sysinit.target.wants/
ln -s ../plymouth-read-write.service %{buildroot}/usr/lib/systemd/system/sysinit.target.wants/
ln -s ../plymouth-poweroff.service %{buildroot}/usr/lib/systemd/system/poweroff.target.wants/
ln -s ../plymouth-halt.service %{buildroot}/usr/lib/systemd/system/halt.target.wants/
ln -s ../plymouth-kexec.service %{buildroot}/usr/lib/systemd/system/kexec.target.wants/
ln -s ../plymouth-reboot.service %{buildroot}/usr/lib/systemd/system/reboot.target.wants/
ln -s ../plymouth-quit.service %{buildroot}/usr/lib/systemd/system/multi-user.target.wants/
ln -s ../plymouth-quit-wait.service %{buildroot}/usr/lib/systemd/system/multi-user.target.wants/

%make_install -C system

find %{buildroot} -name \*.a -delete -o -name \*.la -delete

mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}/sbin/plymouthd %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_bindir}
mv %{buildroot}/bin/plymouth %{buildroot}%{_bindir}
touch %{buildroot}%{_datadir}/plymouth/themes/default.plymouth

mkdir -p %{buildroot}/%{_datadir}/%{name}/themes/Mageia-Default/
ln -sf %{_datadir}/mga/backgrounds/default.png %{buildroot}/%{_datadir}/%{name}/themes/Mageia-Default/background.png

mkdir -p %{buildroot}%{_localstatedir}/lib/plymouth
cp %{SOURCE1} %{buildroot}%{_datadir}/plymouth/default-boot-duration
touch %{buildroot}%{_localstatedir}/lib/plymouth/{boot,shutdown}-duration

# Add charge
mkdir -p %{buildroot}%{_datadir}/plymouth/themes/charge
cp %{SOURCE2} %{buildroot}%{_datadir}/plymouth/themes/charge
cp %{buildroot}%{_datadir}/plymouth/themes/glow/{box,bullet,entry,lock}.png %{buildroot}%{_datadir}/plymouth/themes/charge

%find_lang %{name}

%postun
if [ $1 -eq 0 ]; then
    rm -f %{_libdir}/plymouth/default.so
fi

%define theme_scripts() \
%post -n %{name}-theme-%{1} \
if [ -x %{_sbindir}/plymouth-set-default-theme ]; then \
  export LIB=%{_lib} \
  if [ $1 -eq 1 ]; then \
      %{_sbindir}/plymouth-set-default-theme --rebuild-initrd %{1} \
  else \
      THEME=$(%{_sbindir}/plymouth-set-default-theme) \
      if [ "$THEME" == "text" -o "$THEME" == "%{1}" ]; then \
          %{_sbindir}/plymouth-set-default-theme --rebuild-initrd %{1} \
      fi \
  fi \
fi \
\
%postun -n %{name}-theme-%{1} \
export LIB=%{_lib} \
if [ $1 -eq 0 -a -x %{_sbindir}/plymouth-set-default-theme ]; then \
    if [ "$(%{_sbindir}/plymouth-set-default-theme)" == "%{1}" ]; then \
        %{_sbindir}/plymouth-set-default-theme --reset --rebuild-initrd \
    fi \
fi \


%theme_scripts spinfinity
%theme_scripts fade-in
%theme_scripts solar
%theme_scripts charge
%theme_scripts glow
%theme_scripts script


%files -f %{name}.lang
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/plymouth
%dir %{_datadir}/plymouth
%dir %{_datadir}/plymouth/themes
%{_datadir}/plymouth/default-boot-duration
%dir %{_localstatedir}/lib/plymouth
%{_sbindir}/plymouthd
%{_bindir}/plymouth
%{_unitdir}/plymouth-*.service
%{_unitdir}/systemd-ask-password-plymouth.path
%{_unitdir}/systemd-ask-password-plymouth.service
%{_unitdir}/*.wants/plymouth-*.service
%{_libdir}/plymouth/details.so
%{_libdir}/plymouth/text.so
%{_mandir}/man1/plymouth.1*
%dir %{_libdir}/plymouth/renderers
%{_libdir}/plymouth/renderers/drm*
%{_libdir}/plymouth/renderers/frame-buffer*
%ghost %{_datadir}/plymouth/themes/default.plymouth
%{_datadir}/plymouth/plymouthd.defaults
%{_datadir}/plymouth/themes/details
%{_datadir}/plymouth/themes/text
%{_localstatedir}/spool/plymouth
%ghost %{_localstatedir}/lib/plymouth/shutdown-duration
%ghost %{_localstatedir}/lib/plymouth/boot-duration
%{_mandir}/man8/*
%{_datadir}/%{name}/themes/Mageia-Default/background.png
%config(noreplace) %{_sysconfdir}/logrotate.d/bootlog

%files x11
%{_libdir}/plymouth/renderers/x11.so

%files -n %{lib_name_devel}
%{plymouth_libdir}/libply.so
%{_libdir}/libply-boot-client.so
%{_libdir}/libply-splash-graphics.so
/%{_lib}/libply-splash-core.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/plymouth-1

%files -n %{lib_name}
%{plymouth_libdir}/libply.so.%{lib_major}*
%{_libdir}/libply-boot-client.so.%{lib_major}{,.*}
%{_libdir}/libply-splash-graphics.so.%{lib_major}{,.*}
/%{_lib}/libply-splash-core.so.%{lib_major}*
%dir %{_libdir}/plymouth

%files scripts
%{_sbindir}/plymouth-set-default-theme
%{_libexecdir}/plymouth
%{_mandir}/man1/plymouth-set-default-theme.1*

%files plugin-label
%{_libdir}/plymouth/label.so

%files plugin-fade-throbber
%{_libdir}/plymouth/fade-throbber.so

%files theme-fade-in
%{_datadir}/plymouth/themes/fade-in

%files plugin-script
%{_libdir}/plymouth/script.so

%files theme-script
%{_datadir}/plymouth/themes/script

%files theme-spinfinity
%{_datadir}/plymouth/themes/spinfinity

%files theme-spinner
%{_datadir}/plymouth/themes/spinner

%files plugin-space-flares
%{_libdir}/plymouth/space-flares.so

%files theme-solar
%{_datadir}/plymouth/themes/solar

%files theme-bgrt
/usr/share/plymouth/themes/bgrt

%files plugin-two-step
%{_libdir}/plymouth/two-step.so

%files plugin-tribar
%{_libdir}/plymouth/tribar.so

%files theme-tribar
%{_datadir}/plymouth/themes/tribar

%files theme-charge
%{_datadir}/plymouth/themes/charge

%files theme-glow
%{_datadir}/plymouth/themes/glow

%files system-theme


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 0.9.5-6.mga9
+ Revision: 1835446
- Mageia 9 Mass Rebuild

* Mon Feb 01 2021 tmb <tmb> 0.9.5-5.mga8
+ Revision: 1674329
- systemd: switch to KillMode=mixed (mga#27090)
+ pterjan <pterjan>
- Add one more dependency, bgrt theme uses images from spinner theme

* Wed Jan 13 2021 pterjan <pterjan> 0.9.5-3.mga8
+ Revision: 1671617
- Fix theme-bgrt dependency, it uses two-step plugin not solar-flares

* Wed Nov 18 2020 luigiwalser <luigiwalser> 0.9.5-2.mga8
+ Revision: 1647080
- fix required plugin for spinfinity theme

* Thu Oct 01 2020 kekepower <kekepower> 0.9.5-1.mga8
+ Revision: 1631546
- Update to version 0.9.5

* Tue Mar 24 2020 tmb <tmb> 0.9.4-3.mga8
+ Revision: 1559554
- Add RemainAfterExit=yes to plymouth's systemd service files

* Fri Feb 14 2020 umeabot <umeabot> 0.9.4-2.mga8
+ Revision: 1521547
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Dec 28 2018 luigiwalser <luigiwalser> 0.9.4-1.mga7
+ Revision: 1345780
- fix for API change in patches 1000 and 1001
- 0.9.4
- remove upstream patches
- rediff patch 1000

* Sun Sep 23 2018 umeabot <umeabot> 0.9.3-6.mga7
+ Revision: 1300317
- Mageia 7 Mass Rebuild

* Wed May 23 2018 kekepower <kekepower> 0.9.3-5.mga7
+ Revision: 1231852
- Add more upstream commits since release of 0.9.3

* Thu Apr 26 2018 kekepower <kekepower> 0.9.3-4.mga7
+ Revision: 1222533
- Bump rel to fix conflicts
- Update X11 package description

* Wed Apr 25 2018 kekepower <kekepower> 0.9.3-3.mga7
+ Revision: 1222446
- Move the X11 renderer to its own sub-package

* Wed Apr 25 2018 kekepower <kekepower> 0.9.3-2.mga7
+ Revision: 1222372
- Enable building with GTK (mga#22950)

* Sun Apr 15 2018 kekepower <kekepower> 0.9.3-1.mga7
+ Revision: 1218736
- Update to version 0.9.3
- Fetch git commits since release

* Sun Mar 19 2017 martinw <martinw> 0.9.2-9.mga6
+ Revision: 1093663
- use frame buffer devices when kernel modesetting is disabled
  - avoids fallback to text mode (grey screen + three question marks) as
    reported in mga#19539, mga#19642, mga#19890, mga#19984, mga#20429
- add option to override device timeout on kernel command line
  - for further test/debug if there are still problems

* Wed Mar 15 2017 ghibo <ghibo> 0.9.2-8.mga6
+ Revision: 1092656
- Sync with current plymouth git (fixes bugs, HiDPI detection, etc.).

* Wed Sep 14 2016 barjac <barjac> 0.9.2-7.mga6
+ Revision: 1052915
- fix conflict

* Wed Sep 14 2016 barjac <barjac> 0.9.2-6.mga6
+ Revision: 1052897
- remove background.png and use symlink to default.png to be provided by mageia-theme

* Sat Jul 23 2016 tmb <tmb> 0.9.2-5.mga6
+ Revision: 1043447
- sync in more upstream fixes

* Fri Feb 12 2016 umeabot <umeabot> 0.9.2-4.mga6
+ Revision: 958535
- Mageia 6 Mass Rebuild

* Sun Jan 17 2016 neoclust <neoclust> 0.9.2-3.mga6
+ Revision: 925012
- Disable P503: Need more tests

* Fri Jan 15 2016 luigiwalser <luigiwalser> 0.9.2-2.mga6
+ Revision: 923189
- add latest fixes from upstream git

* Fri Jan 15 2016 luigiwalser <luigiwalser> 0.9.2-1.mga6
+ Revision: 923177
- 0.9.2 (partial sync with omdv)
- library major is now 4

* Fri Apr 17 2015 tmb <tmb> 0.8.6.1-13.mga5
+ Revision: 820381
- systemd: make sure plymouth-start never gets killed
- systemd: start after udev triggers to avoid race
- boot-splash: avoid crash if plugin doesn't support system updates
- main: fix debug message
- main: Try to own socket before anything else
- main: silently succeed if plymouthd is started a second time
- service: start plymouthd unconditionally

* Wed Oct 15 2014 umeabot <umeabot> 0.8.6.1-12.mga5
+ Revision: 745961
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.6.1-11.mga5
+ Revision: 687683
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.8.6.1-10.mga4
+ Revision: 525823
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 0.8.6.1-9.mga4
+ Revision: 434657
- rebuild for new libpng

* Wed Apr 24 2013 colin <colin> 0.8.6.1-8.mga3
+ Revision: 411065
- Refer to systemd units by their current name.

* Mon Jan 21 2013 barjac <barjac> 0.8.6.1-7.mga3
+ Revision: 390354
- update group
- remove one duplicate group tag

* Mon Jan 14 2013 colin <colin> 0.8.6.1-6.mga3
+ Revision: 385828
- Do not ship /var/run/plymouth. Code creates it when needed
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 21 2012 tv <tv> 0.8.6.1-4.mga3
+ Revision: 333659
- drop requires on desktop-common-data (mga#8455)

* Wed Sep 26 2012 blino <blino> 0.8.6.1-3.mga3
+ Revision: 298508
- add back suspend/resume states for suspend-utils (from Frederic Crozat, openSUSE)

* Sat Jul 21 2012 colin <colin> 0.8.6.1-2.mga3
+ Revision: 273158
- Update for usrmove

* Mon Jul 16 2012 colin <colin> 0.8.6.1-1.mga3
+ Revision: 271302
- New version: 0.8.6.1

* Sat Jul 07 2012 colin <colin> 0.8.5.1-1.mga3
+ Revision: 268663
- New version: 0.8.5.1
- Drop upstream patches
- Drop unneeded patches
- Add patches from git master
- Conflict with older systemd-units (as plymouth .service files have moved here)

* Mon Dec 19 2011 anssi <anssi> 0.8.4-0.20111214.3.mga2
+ Revision: 184123
- rediff move-mkinitrd-functions-under-root-lib.patch
- do not fail to populate initrd with dracut >= 014 when legacy mkinitrd
  is not installed (reported by Olivier Blin and Thomas Backlund,
  dracut-functions-path.patch)

* Thu Dec 15 2011 colin <colin> 0.8.4-0.20111214.1.mga2
+ Revision: 182097
- Update to new plymouth git snapshot
- Drop tty-lock patch (upstream)
- Drop retain-vt patch (not needed + buggy - value could only be true || uninitialised)
- Drop details-not-available patch (upstream)
- Drop ttyp-OPOST-ONLCR patch (upstream)
- Drop smarter_init_detection patch (upstream)
- Drop change_socket_path patch (upstream da723a30..3ec007a4)
- Drop change_socket_path-fix patch (upstream)
- Drop initrd-absolute-path patch (upstream)
- Drop boot-server-don-t-print-error-when-client-goes-away patch (upstream)
- Drop redirect-dev-null patch (upstream)
- Drop libpng14 patch (upstream)
- Only apply ulibc patches when building with ulibc
- Enable systemd integration
- Drop the use of tty7 and use tty1 like Fedora (mga#3430)

* Sat Sep 10 2011 fwang <fwang> 0.8.3-13.mga2
+ Revision: 142226
- fix file list
- fix build with latest png
- rebuild for  new libpng

* Thu Mar 24 2011 boklm <boklm> 0.8.3-12.mga1
+ Revision: 76199
- rebuild for bug #497

* Mon Mar 21 2011 blino <blino> 0.8.3-11.mga1
+ Revision: 75299
- do not write in /null from plymouth-set-default-theme

* Tue Feb 08 2011 dmorgan <dmorgan> 0.8.3-10.mga1
+ Revision: 49216
- Fix patch in %%post

* Tue Feb 08 2011 dmorgan <dmorgan> 0.8.3-9.mga1
+ Revision: 48988
- Fix buildrequire
  Use mageia icon
- Use /etc/release
- imported package plymouth


* Sun Jan 30 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3-9mdv2011.0
+ Revision: 634146
- P12: silence "could not write bytes" (GIT)

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - check new path for /lib/mkinitrd/functions
    - regenerate and reenable uclibc related patches that doesn't affect non-uclibc
      build at all

* Thu Nov 18 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3-7mdv2011.0
+ Revision: 598802
- patch6: fix compatibility between old and new socket names

* Wed Nov 17 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3-6mdv2011.0
+ Revision: 598311
- patch4: allow splash with init= as well (GIT)
  patch5: changed socket path (GIT)

* Wed Oct 06 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8.3-5mdv2011.0
+ Revision: 583884
- patch3: fix "stair stepping" effect using systemd (GIT 0430e512 rediff)

* Wed May 26 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.3-4mdv2010.1
+ Revision: 546233
- Patch2: do not exit if details plugin isn't available

* Tue May 25 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.3-3mdv2010.1
+ Revision: 545983
- Patch1: do not switch VT when hiding splash (Mdv bug #59375)

* Wed May 19 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.3-2mdv2010.1
+ Revision: 545396
- Patch0 (GIT): fix tty staying locked after boot

* Fri May 07 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.3-1mdv2010.1
+ Revision: 543104
- Release 0.8.3
- Remove patches 0, 1, 2, 3, 4, 5 (merged upstream)

* Thu May 06 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.2-6mdv2010.1
+ Revision: 542925
- Patch3 (GIT): add more debug
- Patch4 (GIT): wait for VT switch before quit
- Patch5 (GIT): ensure terminal is locked

* Tue Apr 27 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.2-5mdv2010.1
+ Revision: 539798
- Force rebuild

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.8.2-4mdv2010.1
+ Revision: 539592
- rebuild so that shared libraries are properly stripped again

* Wed Apr 21 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.2-3mdv2010.1
+ Revision: 537649
- Patch2 (GIT): export configuration directories

* Tue Apr 20 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.2-2mdv2010.1
+ Revision: 537082
- Patch1 (GIT): fix text alpha by default

* Wed Apr 14 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.2-1mdv2010.1
+ Revision: 534762
- Update Buildrequirements
- Release 0.8.2
- Remove patches 2, 3, 4, 5, 6 (merged upstream)
- Patch0 (GIT): fix build with latest libdrm

* Thu Mar 18 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.2-9mdv2010.1
+ Revision: 524920
- fix deps

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add libpng-static-devel to buildrequires for uClibc as it links against a
      static uClibc build of libpng that doesn't get pulled in by other deps

* Mon Mar 01 2010 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-8mdv2010.1
+ Revision: 512911
- Patch11: ensure shutdown tty is tty1 (Mdv bug #55077)
- Ensure plymouth is building by disable uclibc stuff

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - specify absolute path as install location for /bin/plymouth with initrd (P10)
    - build uclibc linked version
    - if linking against plymouth, we need to link against libdl as well (updates P8)
    - fix library link order for static linking (P8)
    - ditch non-sense dependency on plymouth for -devel package
    - fix header include order issue with uclibc (P7)

* Thu Oct 29 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-7mdv2010.0
+ Revision: 459991
- Patch5 (GIT): add on_quit support for script
- Patch6 (Charles Brej): optimize images resize / scale / rotation

* Wed Oct 28 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-6mdv2010.0
+ Revision: 459711
- Patch4 (GIT): add support for arrays

* Tue Oct 13 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-5mdv2010.0
+ Revision: 457160
- Patch3 (GIT): handle plymouth:force-splash and ensure init= value doesn't prevent plymouth to start at shutdown (fdo bug #22180)

* Thu Oct 08 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-4mdv2010.0
+ Revision: 456136
- Do not generate initrd during install

* Wed Oct 07 2009 Olivier Blin <oblin@mandriva.com> 0.7.2-3mdv2010.0
+ Revision: 455771
- do not require strict version/release for plymouth(system-theme)
  (external package can not provide the exact version/release)

* Wed Oct 07 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-2mdv2010.0
+ Revision: 455683
- Remove mdv theme, moved to mandriva-theme
- Obsoletes / Provides splashy

* Mon Sep 28 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-1mdv2010.0
+ Revision: 450588
- Release 0.7.2

* Thu Sep 10 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-0.20090910.1mdv2010.0
+ Revision: 437097
- New git snapshot (20090910)
- Remove patch3, merged and fixed correctly in git snapshot

* Thu Sep 10 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-0.20090904.3mdv2010.0
+ Revision: 436871
- Patch3: recognize s,S,-s as single on kernel cmdline

* Tue Sep 08 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-0.20090904.2mdv2010.0
+ Revision: 433139
- Add missing provides on devel package

* Fri Sep 04 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.2-0.20090904.1mdv2010.0
+ Revision: 431243
- Snapshot of 0.7.2 (include libification work for hibernate / resume)
- Update Mdv theme for hibernate

* Tue Sep 01 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.1-2mdv2010.0
+ Revision: 423697
- Patch3: disable splash when splash=verbose is on cmdline

* Wed Aug 26 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.1-1mdv2010.0
+ Revision: 421456
- Release 0.7.1
- Remove patches 0, 1, 3, 4 (merged upstream)
- Update mdv theme to correctly display / hide password and logo
- Improve / factorize post/postun scripts for themes
- Fix requires on glow subpackage (Mdv bug #53160)

* Tue Aug 25 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-7mdv2010.0
+ Revision: 421069
- Patch4: various git fixes, including infinite loop in message handling (Mdv bug #52861)
- Update patch2 to no longer crash on empty message
- Own more directory

* Wed Aug 19 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-6mdv2010.0
+ Revision: 418114
- Patch2 (Charlie Brej): text support in script plugin
- Patch3 (GIT): add callback for message event in script plugin
- Adapt mdv theme to display text message / password prompt
- Enforce dependencies

* Wed Aug 19 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-5mdv2010.0
+ Revision: 418005
- Remove patch2 and revert initrd scripts to be in /usr/libexec (as upstream)
- Fix post / postun scripts

* Wed Aug 19 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-4mdv2010.0
+ Revision: 417963
- Use mandriva.png from desktop-common-data now (Mdv bug #52973)

* Tue Aug 18 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-3mdv2010.0
+ Revision: 417842
- Add a initial Mdv theme, similar to splashy one (no text support yet)
- change default theme to Mdv
- Rebuild initrd when switching theme
- Patch1 (GIT): fix resizing code
- Patch2: allow alternative libexec path
- Update default duration file with a Mandriva file

* Mon Aug 17 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-2mdv2010.0
+ Revision: 417347
- Patch0 (GIT): reconnect on tty_disconnect

* Thu Aug 13 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-1mdv2010.0
+ Revision: 416079
- Release 0.7.0 final
- add script plugin/theme

* Thu Jul 02 2009 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-0.20090515.1mdv2010.0
+ Revision: 391840
- Fix dependencies
- import plymouth


